package com.fs.company.service;

import java.math.BigDecimal;
import java.util.List;
import com.fs.company.domain.CompanyMoneyLogs;
import com.fs.company.param.CompanyMoneyLogsParam;
import com.fs.company.param.CompanyStoreOrderMoneyLogsListParam;
import com.fs.company.vo.*;

/**
 * 企业账户记录Service接口
 *
 * @author fs
 * @date 2021-10-04
 */
public interface ICompanyMoneyLogsService
{
    /**
     * 查询企业账户记录
     *
     * @param logsId 企业账户记录ID
     * @return 企业账户记录
     */
    public CompanyMoneyLogs selectCompanyMoneyLogsById(Long logsId);

    /**
     * 查询企业账户记录列表
     *
     * @param companyMoneyLogs 企业账户记录
     * @return 企业账户记录集合
     */
    public List<CompanyMoneyLogs> selectCompanyMoneyLogsList(CompanyMoneyLogs companyMoneyLogs);

    /**
     * 新增企业账户记录
     *
     * @param companyMoneyLogs 企业账户记录
     * @return 结果
     */
    public int insertCompanyMoneyLogs(CompanyMoneyLogs companyMoneyLogs);

    /**
     * 修改企业账户记录
     *
     * @param companyMoneyLogs 企业账户记录
     * @return 结果
     */
    public int updateCompanyMoneyLogs(CompanyMoneyLogs companyMoneyLogs);

    /**
     * 批量删除企业账户记录
     *
     * @param logsIds 需要删除的企业账户记录ID
     * @return 结果
     */
    public int deleteCompanyMoneyLogsByIds(Long[] logsIds);

    /**
     * 删除企业账户记录信息
     *
     * @param logsId 企业账户记录ID
     * @return 结果
     */
    public int deleteCompanyMoneyLogsById(Long logsId);

    List<CompanyMoneyLogsVO> selectCompanyMoneyLogsVOList(CompanyMoneyLogsParam companyMoneyLogs);

    List<CompanyMoneyLogsVO> selectCompanyMoneyLogsMallVOList(CompanyMoneyLogsParam companyMoneyLogs);

    List<CompanyMoneyLogsVO> selectCompanyMoneyLogsMallVO1List(CompanyMoneyLogsParam companyMoneyLogs);

    BigDecimal selectCompanyTotalMoneys(CompanyMoneyLogsParam companyMoneyLogs);


    List<CompanyMoneyLogsExportVO> selectCompanyMoneyLogsExportVOList(CompanyMoneyLogs companyMoneyLogs);

    List<CompanyMoneyLogsExport1VO> selectCompanyMoneyLogsExport1VOList(CompanyMoneyLogs companyMoneyLogs);

    List<CompanyMoneyLogsExport2VO> selectCompanyMoneyLogsExport2VOList(CompanyMoneyLogs companyMoneyLogs);


    List<CompanyMoneyLogs> selectCompanyMoneyLogsByCompanyId(Long companyId, String minId);

    List<CompanyStoreOrderMoneyLogsVO> selectCompanyStoreOrderMoneyLogsList(CompanyStoreOrderMoneyLogsListParam moneyLogsMap);
}
